<?php

namespace App\Classes\Modules\ControllersLogic\Warehouses;


use App\Classes\Modules\Warehouses\Services\DeletesWarehouse;

class DeleteWarehouseLogic
{
    /** @var  DeletesWarehouse */
    private $DeletesWarehouse;

    /**
     * DeleteWarehouseLogic constructor.
     * @param DeletesWarehouse $DeletesWarehouse
     */
    public function __construct(DeletesWarehouse $DeletesWarehouse)
    {
        $this->DeletesWarehouse = $DeletesWarehouse;
    }


    public function execute(string $id){
        return $this->DeletesWarehouse->execute($id);
    }

}